package net.wanji.opt.common;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @Description: [API响应结果封装]
 * @author hfx
 * @version 1.0
 * Created on 2019/4/28 19:45
 */
@Data
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class Result implements Serializable {

    private Integer status;
    private String msg;
    private Object data;

    public static Result success() {
        return new Result(ResultCode.SUCCESS.getStatus(), ResultCode.SUCCESS.getMsg(), null);
    }

    public static Result fail() {
        return new Result(ResultCode.FAIL.getStatus(), ResultCode.FAIL.getMsg(), null);
    }

    public static Result success(Object data) {
        return new Result(ResultCode.SUCCESS.getStatus(), ResultCode.SUCCESS.getMsg(), data);
    }

    public static Result fail(String msg) {
        return new Result(ResultCode.FAIL.getStatus(), msg, null);
    }

    public static Result fail(Integer status, String msg) {
        return new Result(status, msg, null);
    }

}
