package net.wanji.opt.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author hfx
 * @date 2023/1/12 09:11
 * @desc 路口实时数据
 */
@Data
public class CrossTurnDataRealtimeDTO {

    @ApiModelProperty(name = "转向ID",notes = "")
    private String turnId;

    @ApiModelProperty(name = "转向类型：u掉头；l左转；s直行；r右转；",notes = "")
    private Integer turnType;

    @ApiModelProperty(name = "驶入方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北",notes = "")
    private Integer inDir;

    @ApiModelProperty(name = "驶出方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北",notes = "")
    private Integer outDir;

    @ApiModelProperty(name = "路口ID",notes = "")
    private String crossId;

    @ApiModelProperty(name = "交通流量（辆）",notes = "")
    private Integer flow;

    @ApiModelProperty(name = "平均速度（km/h）",notes = "")
    private Double speed;

    @ApiModelProperty(name = "驶入速度（km/h）",notes = "")
    private Double inSpeed;

    @ApiModelProperty(name = "驶出速度（km/h）",notes = "")
    private Double outSpeed;

    @ApiModelProperty(name = "排队长度（米）",notes = "")
    private Double queueLength;

    @ApiModelProperty(name = "停车次数（次）",notes = "")
    private Double stopTimes;

    @ApiModelProperty(name = "延误时间（秒）",notes = "")
    private Integer delayTime;

    @ApiModelProperty(name = "饱和度",notes = "")
    private Double sturation;

    @ApiModelProperty(name = "车头间距（米）",notes = "")
    private Double vehheadDist;

    @ApiModelProperty(name = "车头时距（秒）",notes = "")
    private Double vehheadTime;

    @ApiModelProperty(name = "数据批次（10位时间戳）",notes = "")
    private Integer batchTime;

}
