package net.wanji.opt.task;

import lombok.extern.slf4j.Slf4j;
import net.wanji.opt.service.CrossOptimizeService;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * @author hfx
 * @date 2023/1/16 16:39
 * @desc RealtimeOptimizeTask
 */

@Component
@Slf4j
public class RealtimeOptimizeTask {

    @Resource
    CrossOptimizeService crossOptimizeService;

    @Scheduled(cron = "* 0/1 * * * ? ")
    public void run() {
        log.info("RealtimeOptimizeTask ...");
        crossOptimizeService.realtimeOptimize();

    }

}